Bug 60194 - mempool code locks scheduler, not mutex
Summary: mempool code locks scheduler, not mutex
Status: CLOSED WONTFIX
Alias: None
Product: eCos
Classification: Retired
Component: Memory allocators   
(Show other bugs)
Version: CVS
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jonathan Larmour
QA Contact: eCos bugs internal list
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-02-21 19:23 UTC by Jonathan Larmour
Modified: 2007-04-18 16:40 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-20 16:13:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jonathan Larmour 2002-02-21 19:23:54 UTC
Description of Problem:

The mempolt2.inl and mempoolt.inl files lock the scheduler rather than just
locking a mutex. I know of no reason why this should be the case. A mutex should
be adequate.

Comment 1 Alex Schuilenburg 2003-06-20 16:13:34 UTC
This bug has moved to http://bugs.ecos.sourceware.org/show_bug.cgi?id=60194


Note You need to log in before you can comment on or make changes to this bug.